summaryrefslogtreecommitdiffstats
path: root/multimedia/jlscp
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/jlscp')
-rw-r--r--multimedia/jlscp/README2
-rw-r--r--multimedia/jlscp/jlscp.SlackBuild33
-rw-r--r--multimedia/jlscp/jlscp.info2
3 files changed, 30 insertions, 7 deletions
diff --git a/multimedia/jlscp/README b/multimedia/jlscp/README
index 6a80be4413..880c0c69b6 100644
--- a/multimedia/jlscp/README
+++ b/multimedia/jlscp/README
@@ -4,7 +4,7 @@ This library provides client API for retrieving information and
configuring running LinuxSampler instance according to the LinuxSampler
control protocol version 1.4
-For more information about LinuxSampler visit http://www.linuxsampler.org
+For more information about LinuxSampler, see http://www.linuxsampler.org
Homepage: http://sourceforge.net/projects/jlscp/
See also: http://www.linuxsampler.org/downloads.html
diff --git a/multimedia/jlscp/jlscp.SlackBuild b/multimedia/jlscp/jlscp.SlackBuild
index 0890eb6713..804f822e34 100644
--- a/multimedia/jlscp/jlscp.SlackBuild
+++ b/multimedia/jlscp/jlscp.SlackBuild
@@ -1,16 +1,27 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for jlscp
# Written by klaatu@member.fsf.org
+# 20220331 bkw: Modified by SlackBuilds.org: fail if JAVA_HOME not set
+# and can't be set from profile.d script. This avoid creating a /jre
+# in the package root.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=jlscp
VERSION=${VERSION:-0.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
ARCH=noarch
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -26,9 +37,21 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ -exec chmod 644 {} \+
+
+if [ -z "$JAVA_HOME" ]; then
+ source /etc/profile.d/zulu-openjdk8.sh
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ cat <<EOF
+*** No JDK found. Install zulu-openjdk8 or another *jdk package and
+*** try again.
+EOF
+ exit 1
+fi
# here is the install, such as it is
mkdir -p $PKG/$JAVA_HOME/jre/lib/ext
@@ -47,4 +70,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/jlscp/jlscp.info b/multimedia/jlscp/jlscp.info
index b8156a0e48..bdd77557c2 100644
--- a/multimedia/jlscp/jlscp.info
+++ b/multimedia/jlscp/jlscp.info
@@ -5,6 +5,6 @@ DOWNLOAD="https://downloads.sourceforge.net/jlscp/jlscp-0.8.tar.bz2"
MD5SUM="9a3a507b3e5359369c2be777e71b8232"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="jdk linuxsampler"
+REQUIRES="zulu-openjdk8 linuxsampler"
MAINTAINER="Klaatu"
EMAIL="klaatu@member.fsf.org"